[Touch-packages] [Bug 1888805] Re: Ubuntu 20.04 gnome-software can't handle CAB file by default installation

2020-07-24 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: ubuntu-meta (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-meta in Ubuntu.
https://bugs.launchpad.net/bugs/105

Title:
  Ubuntu 20.04 gnome-software can't handle CAB file by default
  installation

Status in ubuntu-meta package in Ubuntu:
  Confirmed

Bug description:
  LVFS firmware CAB file can't be identified by Ubuntu 20.04 software
  management, which should invoke fwupdmgr to execute associated system
  BIOS or other firmware update. Ubuntu20.04 default software management
  is ‘ubuntu-software’, which do not support cab by default.It need to
  install gnome-software by manually. CAB file need to support in
  Nautilus and be enabled by default.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-meta/+bug/105/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1888805] Re: Ubuntu 20.04 gnome-software can't handle CAB file by default installation

2020-07-24 Thread Shengyao Xue
suggest to install gnome-software in default installatin, then user need
not to install it manually to support CAB file in Nautilus.


** Summary changed:

- Ubuntu20.04 gnome-software can't handle CAB file
+ Ubuntu 20.04 gnome-software can't handle CAB file by default installation

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-meta in Ubuntu.
https://bugs.launchpad.net/bugs/105

Title:
  Ubuntu 20.04 gnome-software can't handle CAB file by default
  installation

Status in ubuntu-meta package in Ubuntu:
  Confirmed

Bug description:
  LVFS firmware CAB file can't be identified by Ubuntu 20.04 software
  management, which should invoke fwupdmgr to execute associated system
  BIOS or other firmware update. Ubuntu20.04 default software management
  is ‘ubuntu-software’, which do not support cab by default.It need to
  install gnome-software by manually. CAB file need to support in
  Nautilus and be enabled by default.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-meta/+bug/105/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1872118] Re: DHCP Cluster crashes after a few hours

2020-07-24 Thread Andrew Welham
Tomek, Please remember I tried the version 4.4.2 as suggested and as you
say Ubuntu used 4.4.1, so it could be something to do with the 4.4.1
release or the ubuntu changes. Either way it looks like its not going to
be fixed. Given this how do you apply to have a ISC-DHCP_Server removed
form the Ubuntu bundle for no maintenance.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to isc-dhcp in Ubuntu.
https://bugs.launchpad.net/bugs/1872118

Title:
  DHCP Cluster crashes after a few hours

Status in isc-dhcp package in Ubuntu:
  Confirmed

Bug description:
  
  I have a pair of DHCP serevrs running in a cluster on ubuntu 20.04, All 
worked perfectly until recently, when they started stopping with code=killed, 
status=6/ABRT.
  This is being fixed by 

  https://bugs.launchpad.net/bugs/1870729

  However now one stops after a few hours with the following errors. One
  can stay on line but not both.


  
  Syslog shows 
  Apr 10 17:20:15 dhcp-primary sh[6828]: 
../../../../lib/isc/unix/socket.c:3361: INSIST(!sock->pending_send) failed, 
back trace
  Apr 10 17:20:15 dhcp-primary sh[6828]: #0 0x7fbe78702a4a in ??
  Apr 10 17:20:15 dhcp-primary sh[6828]: #1 0x7fbe78702980 in ??
  Apr 10 17:20:15 dhcp-primary sh[6828]: #2 0x7fbe7873e7e1 in ??
  Apr 10 17:20:15 dhcp-primary sh[6828]: #3 0x7fbe784e5609 in ??
  Apr 10 17:20:15 dhcp-primary sh[6828]: #4 0x7fbe78621103 in ??

  
  nothing in kern.log

  
  apport.log shows
  ERROR: apport (pid 6850) Fri Apr 10 17:20:15 2020: called for pid 6828, 
signal 6, core limit 0, dump mode 2
  ERROR: apport (pid 6850) Fri Apr 10 17:20:15 2020: not creating core for pid 
with dump mode of 2
  ERROR: apport (pid 6850) Fri Apr 10 17:20:15 2020: executable: 
/usr/sbin/dhcpd (command line "dhcpd -user dhcpd -group dhcpd -f -4 -pf 
/run/dhcp-server/dhcpd.pid -cf /etc/dhcp/dhcpd.conf")
  ERROR: apport (pid 6850) Fri Apr 10 17:20:15 2020: is_closing_session(): no 
DBUS_SESSION_BUS_ADDRESS in environment
  ERROR: apport (pid 6850) Fri Apr 10 17:20:15 2020: wrote report 
/var/crash/_usr_sbin_dhcpd.0.crash


  /var/crash/_usr_sbin_dhcpd.0.crash shows

  ProblemType: Crash
  Architecture: amd64
  CrashCounter: 1
  Date: Fri Apr 10 17:20:15 2020
  DistroRelease: Ubuntu 20.04
  ExecutablePath: /usr/sbin/dhcpd
  ExecutableTimestamp: 1586210315
  ProcCmdline: dhcpd -user dhcpd -group dhcpd -f -4 -pf 
/run/dhcp-server/dhcpd.pid -cf /etc/dhcp/dhcpd.conf
  ProcEnviron: Error: [Errno 13] Permission denied: 'environ'
  ProcMaps: Error: [Errno 13] Permission denied: 'maps'
  ProcStatus:
   Name:  dhcpd
   Umask: 0022
   State: D (disk sleep)
   Tgid:  6828
   Ngid:  0
   Pid:   6828
   PPid:  1
   TracerPid: 0
   Uid:   113 113 113 113
   Gid:   118 118 118 118
   FDSize:128
   Groups:
   NStgid:6828
   NSpid: 6828
   NSpgid:6828
   NSsid: 6828
   VmPeak:  236244 kB
   VmSize:  170764 kB
   VmLck:0 kB
   VmPin:0 kB
   VmHWM:12064 kB
   VmRSS:12064 kB
   RssAnon:   5940 kB
   RssFile:   6124 kB
   RssShmem: 0 kB
   VmData:   30792 kB
   VmStk:  132 kB
   VmExe:  592 kB
   VmLib: 5424 kB
   VmPTE:   76 kB
   VmSwap:   0 kB
   HugetlbPages: 0 kB
   CoreDumping:   1
   THP_enabled:   1
   Threads:   4
   SigQ:  0/7609
   SigPnd:
   ShdPnd:
   SigBlk:
   SigIgn:1000
   SigCgt:00018000
   CapInh:
   CapPrm:
   CapEff:
   CapBnd:003f
   CapAmb:
   NoNewPrivs:0
   Seccomp:   0
   Speculation_Store_Bypass:  thread vulnerable
   Cpus_allowed:  3
   Cpus_allowed_list: 0-1
   Mems_allowed:  
,,,,,,,,,,,,,,,,,,,,,,,,,,,,
  ,,,0001
   Mems_allowed_list: 0
   voluntary_ctxt_switches:   111
   nonvoluntary_ctxt_switches:144
  Signal: 6
  Uname: Linux 5.4.0-21-generic x86_64
  UserGroups:

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/isc-dhcp/+bug/1872118/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1888352] Re: use builtin dump_acpi_tables.py in hookutils

2020-07-24 Thread Francis Ginther
** Tags added: id-5f19aa4ac192ba29af392378

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1888352

Title:
  use builtin dump_acpi_tables.py in hookutils

Status in Apport:
  New
Status in OEM Priority Project:
  Confirmed
Status in apport package in Ubuntu:
  New
Status in apport source package in Groovy:
  New

Bug description:
  1. add apcidump to hookutils.py:attach_hardware and use the builtin 
dump_acpi_tables.py.
  2. remove explicit acpidump from oem-getlogs to use the builtin one.
  3. refine usage string in oem-getlogs.

To manage notifications about this bug go to:
https://bugs.launchpad.net/apport/+bug/1888352/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885730] Re: Bring back ondemand.service or switch kernel default governor for pstate - pstate now defaults to performance governor

2020-07-24 Thread Julian Andres Klode
@Colin: I agree with all of that.

Our kernel-side default is not powersave, but performance, across
generic and oem, at the very least:

$ grep CPU_FREQ_DEFAULT_GOV_.*=y /boot/config-5.*
/boot/config-5.4.0-26-generic:CONFIG_CPU_FREQ_DEFAULT_GOV_PERFORMANCE=y
/boot/config-5.4.0-42-generic:CONFIG_CPU_FREQ_DEFAULT_GOV_PERFORMANCE=y
/boot/config-5.6.0-1018-oem:CONFIG_CPU_FREQ_DEFAULT_GOV_PERFORMANCE=y
/boot/config-5.6.0-1020-oem:CONFIG_CPU_FREQ_DEFAULT_GOV_PERFORMANCE=y

We used to set that to powersave (and ondemand on non-pstate) in
ondemand.service, but have since removed the service in groovy.

I believe the default governor kernel-side outside Ubuntu is usually
CONFIG_CPU_FREQ_DEFAULT_GOV_ONDEMAND, which translates to ondemand pre-
pstates, and powersave on pstates (compare Fedora), whereas Enterprise
systems usually pick PERFORMANCE too (compare RHEL)

- probably because most distributions focus on normal end users and
enterprise on server and workstation. We don't have that distinction of
course, so I'm not sure what the best way out is - default to
powersave/ondemand and make server installer write performance - or vice
versa default to performance and make ubiquity configure powersave for
desktop.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1885730

Title:
  Bring back ondemand.service or switch kernel default governor for
  pstate - pstate now defaults to performance governor

Status in linux package in Ubuntu:
  Confirmed
Status in systemd package in Ubuntu:
  Invalid
Status in linux source package in Groovy:
  Confirmed
Status in systemd source package in Groovy:
  Invalid

Bug description:
  In a recent merge from Debian we lost ondemand.service, meaning all
  CPUs now run in Turbo all the time when idle, which is clearly
  suboptimal.

  The discussion in bug 1806012 seems misleading, focusing on p-state vs
  other drivers, when in fact, the script actually set the default
  governor for the pstate driver on platforms that use pstate.
  Everything below only looks at systems that use pstate.

  pstate has two governors: performance and powerstate. performance runs
  CPU at maximum frequency constantly, and powersave can be configured
  using various energy profiles energy profiles:

  - performance
  - balanced performance
  - balanced power
  - power

  It defaults to balanced performance, I think, but I'm not sure.

  Whether performance governor is faster than powersave governor is not
  even clear.
  https://www.phoronix.com/scan.php?page=article=linux50-pstate-
  cpufreq=5 benchmarked them, but did not benchmark the individual
  energy profiles.

  For a desktop/laptop, the expected behavior is the powersave governor
  with balanced_performance on AC and balanced_power on battery.

  I don't know about servers or VMs, but the benchmark series seems to
  indicate it does not really matter much performance wise.

  I think most other distributions configure their kernels to use the
  powersave governor by default, whereas we configure it to use the
  performance governor and then switch it later in the boot to get the
  maximum performance during bootup. It's not clear to me that's
  actually useful.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1885730/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1888046] Re: Please merge coreutils 8.32-2 (main) from Debian unstable (main)

2020-07-24 Thread Sergio Durigan Junior
** Changed in: coreutils (Ubuntu)
 Assignee: (unassigned) => Sergio Durigan Junior (sergiodj)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to coreutils in Ubuntu.
https://bugs.launchpad.net/bugs/1888046

Title:
  Please merge coreutils 8.32-2 (main) from Debian unstable (main)

Status in coreutils package in Ubuntu:
  New

Bug description:
  New coreutils features are missing in Ubuntu. Especially, "ls
  --time=birth" available since 8.32, and time of file creation in
  stat(1) on btrfs or ext4 fixed since 8.31. Please consider to
  incorporate these features at least into Ubuntu 20.10 (Groovy
  Gorilla).

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/coreutils/+bug/1888046/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1888889] [NEW] Ubuntu software center is not opening after a fresh Ubuntu install resuing /home from an earlier install

2020-07-24 Thread achusonline
Public bug reported:

I tried renaming ~/.local/share/gnome-software-center but no luck

Any other help is appreciated

ProblemType: Package
DistroRelease: Ubuntu 20.04
Package: libpam-systemd:amd64 245.4-4ubuntu3.2
ProcVersionSignature: Ubuntu 5.4.0-42.46-generic 5.4.44
Uname: Linux 5.4.0-42-generic x86_64
NonfreeKernelModules: nvidia_modeset nvidia
ApportVersion: 2.20.11-0ubuntu27.4
Architecture: amd64
CasperMD5CheckResult: skip
Date: Fri Jul 24 23:26:04 2020
ErrorMessage: installed libpam-systemd:amd64 package post-installation script 
subprocess returned error exit status 128
InstallationDate: Installed on 2020-07-24 (0 days ago)
InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu2
PythonDetails: N/A
RelatedPackageVersions:
 dpkg 1.19.7ubuntu3
 apt  2.0.2ubuntu0.1
SourcePackage: systemd
Title: package libpam-systemd:amd64 245.4-4ubuntu3.2 failed to install/upgrade: 
installed libpam-systemd:amd64 package post-installation script subprocess 
returned error exit status 128
UpgradeStatus: No upgrade log present (probably fresh install)

** Affects: systemd (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-package focal

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/189

Title:
  Ubuntu software center is not opening after a fresh Ubuntu install
  resuing /home from an earlier install

Status in systemd package in Ubuntu:
  New

Bug description:
  I tried renaming ~/.local/share/gnome-software-center but no luck

  Any other help is appreciated

  ProblemType: Package
  DistroRelease: Ubuntu 20.04
  Package: libpam-systemd:amd64 245.4-4ubuntu3.2
  ProcVersionSignature: Ubuntu 5.4.0-42.46-generic 5.4.44
  Uname: Linux 5.4.0-42-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportVersion: 2.20.11-0ubuntu27.4
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Fri Jul 24 23:26:04 2020
  ErrorMessage: installed libpam-systemd:amd64 package post-installation script 
subprocess returned error exit status 128
  InstallationDate: Installed on 2020-07-24 (0 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu2
  PythonDetails: N/A
  RelatedPackageVersions:
   dpkg 1.19.7ubuntu3
   apt  2.0.2ubuntu0.1
  SourcePackage: systemd
  Title: package libpam-systemd:amd64 245.4-4ubuntu3.2 failed to 
install/upgrade: installed libpam-systemd:amd64 package post-installation 
script subprocess returned error exit status 128
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/189/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1888889] Re: Ubuntu software center is not opening after a fresh Ubuntu install resuing /home from an earlier install

2020-07-24 Thread Apport retracing service
** Tags removed: need-duplicate-check

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/189

Title:
  Ubuntu software center is not opening after a fresh Ubuntu install
  resuing /home from an earlier install

Status in systemd package in Ubuntu:
  New

Bug description:
  I tried renaming ~/.local/share/gnome-software-center but no luck

  Any other help is appreciated

  ProblemType: Package
  DistroRelease: Ubuntu 20.04
  Package: libpam-systemd:amd64 245.4-4ubuntu3.2
  ProcVersionSignature: Ubuntu 5.4.0-42.46-generic 5.4.44
  Uname: Linux 5.4.0-42-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportVersion: 2.20.11-0ubuntu27.4
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Fri Jul 24 23:26:04 2020
  ErrorMessage: installed libpam-systemd:amd64 package post-installation script 
subprocess returned error exit status 128
  InstallationDate: Installed on 2020-07-24 (0 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu2
  PythonDetails: N/A
  RelatedPackageVersions:
   dpkg 1.19.7ubuntu3
   apt  2.0.2ubuntu0.1
  SourcePackage: systemd
  Title: package libpam-systemd:amd64 245.4-4ubuntu3.2 failed to 
install/upgrade: installed libpam-systemd:amd64 package post-installation 
script subprocess returned error exit status 128
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/189/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1886814] Re: posix_spawn usage in gnu make causes failures on s390x

2020-07-24 Thread bugproxy
--- Comment From s...@de.ibm.com 2020-07-24 10:47 EDT---
I've found the relevant code. It's the flatpak package. For a test on my s390x 
machine, I've just changed the check from arg 0 to arg 1:
diff -uNr  ./flatpak-1.6.3/common/flatpak-run.orig.c 
./flatpak-1.6.3/common/flatpak-run.c
--- ./flatpak-1.6.3/common/flatpak-run.orig.c   2020-07-24 15:57:17.583312438 
+0200
+++ ./flatpak-1.6.3/common/flatpak-run.c2020-07-24 16:23:35.880965987 
+0200
@@ -2632,7 +2632,7 @@
{SCMP_SYS (unshare)},
{SCMP_SYS (mount)},
{SCMP_SYS (pivot_root)},
-{SCMP_SYS (clone), _A0 (SCMP_CMP_MASKED_EQ, CLONE_NEWUSER, 
CLONE_NEWUSER)},
+{SCMP_SYS (clone), _A1 (SCMP_CMP_MASKED_EQ, CLONE_NEWUSER, 
CLONE_NEWUSER)},

/* Don't allow faking input to the controlling tty (CVE-2017-5226) */
{SCMP_SYS (ioctl), _A1 (SCMP_CMP_MASKED_EQ, 0xu, (int) TIOCSTI)},

Note:
I've also looked into the "groovy" flatpak (1.8.1-1) source-code. There the 
code looks the same.

Afterwards, the seccomp filter looks like:
line  CODE  JT   JF  K
=
: 0x20 0x00 0x00 0x0004  A = arch
0001: 0x15 0x00 0x1f 0x8016  if (A != ARCH_S390X) goto 0033
0002: 0x20 0x00 0x00 0x  A = sys_number
0003: 0x15 0x1c 0x00 0x0015  if (A == mount) goto 0032
0004: 0x15 0x1b 0x00 0x0033  if (A == acct) goto 0032
0005: 0x15 0x1a 0x00 0x0056  if (A == uselib) goto 0032
0006: 0x15 0x19 0x00 0x0067  if (A == syslog) goto 0032
0007: 0x15 0x18 0x00 0x0083  if (A == quotactl) goto 0032
0008: 0x15 0x17 0x00 0x00d9  if (A == pivot_root) goto 0032
0009: 0x15 0x16 0x00 0x010c  if (A == mbind) goto 0032
0010: 0x15 0x15 0x00 0x010d  if (A == get_mempolicy) goto 0032
0011: 0x15 0x14 0x00 0x010e  if (A == set_mempolicy) goto 0032
0012: 0x15 0x13 0x00 0x0116  if (A == add_key) goto 0032
0013: 0x15 0x12 0x00 0x0117  if (A == request_key) goto 0032
0014: 0x15 0x11 0x00 0x0118  if (A == keyctl) goto 0032
0015: 0x15 0x10 0x00 0x011f  if (A == migrate_pages) goto 0032
0016: 0x15 0x0f 0x00 0x012f  if (A == unshare) goto 0032
0017: 0x15 0x0e 0x00 0x0136  if (A == move_pages) goto 0032
0018: 0x15 0x00 0x05 0x0036  if (A != ioctl) goto 0024
0019: 0x20 0x00 0x00 0x0018  A = cmd # ioctl(fd, cmd, arg)
0020: 0x54 0x00 0x00 0x  A &= 0x0
0021: 0x15 0x00 0x09 0x  if (A != 0) goto 0031
0022: 0x20 0x00 0x00 0x001c  A = cmd >> 32 # ioctl(fd, cmd, arg)
0023: 0x15 0x08 0x07 0x5412  if (A == 0x5412) goto 0032 else goto 0031
0024: 0x15 0x00 0x06 0x0078  if (A != clone) goto 0031
0025: 0x20 0x00 0x00 0x0018  A = newsp # clone(clone_flags, newsp, 
parent_tidptr, child_tidptr, tls)
0026: 0x54 0x00 0x00 0x  A &= 0x0
0027: 0x15 0x00 0x03 0x  if (A != 0) goto 0031
0028: 0x20 0x00 0x00 0x001c  A = newsp >> 32 # clone(clone_flags, newsp, 
parent_tidptr, child_tidptr, tls)
=> Now argument 1 (on s390x: flags; on x86_64: stack-pointer) is checked and 
clone works as expected.
0029: 0x54 0x00 0x00 0x1000  A &= 0x1000
0030: 0x15 0x01 0x00 0x1000  if (A == 268435456) goto 0032
0031: 0x06 0x00 0x00 0x7fff  return ALLOW
0032: 0x06 0x00 0x00 0x00050001  return ERRNO(1)
0033: 0x06 0x00 0x00 0x  return KILL

Then I've rebuild flatpak-builder 1.0.11 and the testsuite runs fine:

Testsuite summary for flatpak-builder 1.0.11

# TOTAL: 19
# PASS:  19
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0


Please report these insights to the flatpak project. The real fix needs
to use SCMP_A1 at least for SCMP_ARCH_S390X and SCMP_ARCH_S390. Perhaps
there is a further architecture with a different order?

** CVE added: https://cve.mitre.org/cgi-bin/cvename.cgi?name=2017-5226

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to make-dfsg in Ubuntu.
https://bugs.launchpad.net/bugs/1886814

Title:
  posix_spawn usage in gnu make causes failures on s390x

Status in Ubuntu on IBM z Systems:
  Triaged
Status in glibc package in Ubuntu:
  New
Status in linux package in Ubuntu:
  Incomplete
Status in make-dfsg package in Ubuntu:
  New

Bug description:
  posix_spawn usage in gnu make causes failures on s390x

  Recently in gnu-make v4.3 https://paste.ubuntu.com/p/tYhbJFKN76/ it
  started to use posix_spawn, instead of fork()/exec().

  This has caused failure of an unrelated package flatpak-builder
  autopkgtests on s390x only, like so

echo Building
make: echo: Operation not permitted
make: *** [Makefile:2: all] Error 127

  Julian Klaude investigated this in-depth. His earlier research also
  indicated that this is a heisenbug, if one tries to print to stderr
  before printing to stdout, no issue occurs.

  We are configuring GNU 

[Touch-packages] [Bug 1885730] Re: Bring back ondemand.service or switch kernel default governor for pstate - pstate now defaults to performance governor

2020-07-24 Thread Colin Ian King
The choice was made from running analysis on a wide range of Intel
machines, old and new. We are trying to select the optimal choice for a
wide range of CPUs for a wide range of use cases. Generally speaking,
the intel-pstate governor has deeper understanding of the processor
features and can access CPU metrics that can guide it to making an
informed choice.

>From our understanding, The intel-pstate driver should be the optimal
choice for Intel Sandy Bridge CPUs onwards.  The intel-pstate driver
supports only the performance and powersave governors. In benchmarking
we didn't observe much computational difference between the too once the
CPU is fully loaded. However, cranking up or cranking down the load one
will discover that the performance setting is more responsive than
powersave. The overall compute throughput when fully loaded is the same,
it's just a case that powersave may take a little longer to crank up to
the full speed.

It makes sense to default to powersave for most scenarios, especially
for laptop users.

Pre-Intel Sandy Bridge or non-x86 CPUs will default back to the non-
intel pstate governor.

So, question:

Which kernel(s) are you referring to?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1885730

Title:
  Bring back ondemand.service or switch kernel default governor for
  pstate - pstate now defaults to performance governor

Status in linux package in Ubuntu:
  Confirmed
Status in systemd package in Ubuntu:
  Invalid
Status in linux source package in Groovy:
  Confirmed
Status in systemd source package in Groovy:
  Invalid

Bug description:
  In a recent merge from Debian we lost ondemand.service, meaning all
  CPUs now run in Turbo all the time when idle, which is clearly
  suboptimal.

  The discussion in bug 1806012 seems misleading, focusing on p-state vs
  other drivers, when in fact, the script actually set the default
  governor for the pstate driver on platforms that use pstate.
  Everything below only looks at systems that use pstate.

  pstate has two governors: performance and powerstate. performance runs
  CPU at maximum frequency constantly, and powersave can be configured
  using various energy profiles energy profiles:

  - performance
  - balanced performance
  - balanced power
  - power

  It defaults to balanced performance, I think, but I'm not sure.

  Whether performance governor is faster than powersave governor is not
  even clear.
  https://www.phoronix.com/scan.php?page=article=linux50-pstate-
  cpufreq=5 benchmarked them, but did not benchmark the individual
  energy profiles.

  For a desktop/laptop, the expected behavior is the powersave governor
  with balanced_performance on AC and balanced_power on battery.

  I don't know about servers or VMs, but the benchmark series seems to
  indicate it does not really matter much performance wise.

  I think most other distributions configure their kernels to use the
  powersave governor by default, whereas we configure it to use the
  performance governor and then switch it later in the boot to get the
  maximum performance during bootup. It's not clear to me that's
  actually useful.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1885730/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1888846] [NEW] Ubuntu 20.04 Background and lockscreen image turns into white noise after sleep and wakeup

2020-07-24 Thread Launchpad Bug Tracker
You have been subscribed to a public bug:

I think it maybe related with gsettings, as you can see in the screeshoot that 
I will attach i change the dock form and I also add the option one click 
minimize. But it can be alse related with xorg, i dont really kwon, bu if you 
need some extra log just tell me how.
There is a for 19.04 which looks the same but it closed.

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: xorg 1:7.7+19ubuntu14
ProcVersionSignature: Ubuntu 5.4.0-42.46-generic 5.4.44
Uname: Linux 5.4.0-42-generic x86_64
NonfreeKernelModules: nvidia
.proc.driver.nvidia.gpus..01.00.0: Error: [Errno 21] Es un directorio: 
'/proc/driver/nvidia/gpus/:01:00.0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module  340.108  Wed Dec 11 11:06:58 
PST 2019
 GCC version:  gcc version 9.3.0 (Ubuntu 9.3.0-10ubuntu2)
ApportVersion: 2.20.11-0ubuntu27.4
Architecture: amd64
BootLog: Error: [Errno 13] Permiso denegado: '/var/log/boot.log'
CasperMD5CheckResult: skip
CompositorRunning: None
CurrentDesktop: ubuntu:GNOME
Date: Fri Jul 24 14:04:45 2020
DistUpgraded: Fresh install
DistroCodename: focal
DistroVariant: ubuntu
DkmsStatus:
 nvidia-340, 340.108, 5.4.0-26-generic, x86_64: installed
 nvidia-340, 340.108, 5.4.0-42-generic, x86_64: installed
ExtraDebuggingInterest: Yes
GraphicsCard:
 Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 
09) (prog-if 00 [VGA controller])
   Subsystem: ASUSTeK Computer Inc. 3rd Gen Core processor Graphics Controller 
[1043:124d]
   Subsystem: ASUSTeK Computer Inc. GeForce GT 720M [1043:124d]
InstallationDate: Installed on 2020-07-22 (1 days ago)
InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
MachineType: ASUSTeK COMPUTER INC. X550CC
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=
 LANG=es_ES.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-42-generic 
root=UUID=29de19f8-8723-4a14-b713-657be2a231c9 ro quiet splash vt.handoff=7
SourcePackage: xorg
Symptom: display
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 03/24/2014
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: X550CC.300
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: X550CC
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrX550CC.300:bd03/24/2014:svnASUSTeKCOMPUTERINC.:pnX550CC:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnX550CC:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.family: X
dmi.product.name: X550CC
dmi.product.sku: ASUS-NotebookSKU
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.101-2
version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.8-0ubuntu1~20.04.1
version.libgl1-mesa-glx: libgl1-mesa-glx N/A
version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2.2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

** Affects: xorg (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug corruption focal ubuntu
-- 
Ubuntu 20.04 Background and lockscreen image turns into white noise after sleep 
and wakeup
https://bugs.launchpad.net/bugs/146
You received this bug notification because you are a member of Ubuntu Touch 
seeded packages, which is subscribed to xorg in Ubuntu.

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1888846] Re: Ubuntu 20.04 Background and lockscreen image turns into white noise after sleep and wakeup

2020-07-24 Thread Ubuntu Foundations Team Bug Bot
** Package changed: ubuntu => xorg (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/146

Title:
  Ubuntu 20.04 Background and lockscreen image turns into white noise
  after sleep and wakeup

Status in xorg package in Ubuntu:
  New

Bug description:
  I think it maybe related with gsettings, as you can see in the screeshoot 
that I will attach i change the dock form and I also add the option one click 
minimize. But it can be alse related with xorg, i dont really kwon, bu if you 
need some extra log just tell me how.
  There is a for 19.04 which looks the same but it closed.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.4.0-42.46-generic 5.4.44
  Uname: Linux 5.4.0-42-generic x86_64
  NonfreeKernelModules: nvidia
  .proc.driver.nvidia.gpus..01.00.0: Error: [Errno 21] Es un directorio: 
'/proc/driver/nvidia/gpus/:01:00.0'
  .proc.driver.nvidia.registry: Binary: ""
  .proc.driver.nvidia.version:
   NVRM version: NVIDIA UNIX x86_64 Kernel Module  340.108  Wed Dec 11 11:06:58 
PST 2019
   GCC version:  gcc version 9.3.0 (Ubuntu 9.3.0-10ubuntu2)
  ApportVersion: 2.20.11-0ubuntu27.4
  Architecture: amd64
  BootLog: Error: [Errno 13] Permiso denegado: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Fri Jul 24 14:04:45 2020
  DistUpgraded: Fresh install
  DistroCodename: focal
  DistroVariant: ubuntu
  DkmsStatus:
   nvidia-340, 340.108, 5.4.0-26-generic, x86_64: installed
   nvidia-340, 340.108, 5.4.0-42-generic, x86_64: installed
  ExtraDebuggingInterest: Yes
  GraphicsCard:
   Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] 
(rev 09) (prog-if 00 [VGA controller])
 Subsystem: ASUSTeK Computer Inc. 3rd Gen Core processor Graphics 
Controller [1043:124d]
 Subsystem: ASUSTeK Computer Inc. GeForce GT 720M [1043:124d]
  InstallationDate: Installed on 2020-07-22 (1 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  MachineType: ASUSTeK COMPUTER INC. X550CC
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=es_ES.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-42-generic 
root=UUID=29de19f8-8723-4a14-b713-657be2a231c9 ro quiet splash vt.handoff=7
  SourcePackage: xorg
  Symptom: display
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 03/24/2014
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: X550CC.300
  dmi.board.asset.tag: ATN12345678901234567
  dmi.board.name: X550CC
  dmi.board.vendor: ASUSTeK COMPUTER INC.
  dmi.board.version: 1.0
  dmi.chassis.asset.tag: No Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: ASUSTeK COMPUTER INC.
  dmi.chassis.version: 1.0
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrX550CC.300:bd03/24/2014:svnASUSTeKCOMPUTERINC.:pnX550CC:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnX550CC:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
  dmi.product.family: X
  dmi.product.name: X550CC
  dmi.product.sku: ASUS-NotebookSKU
  dmi.product.version: 1.0
  dmi.sys.vendor: ASUSTeK COMPUTER INC.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.101-2
  version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.8-0ubuntu1~20.04.1
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2.2
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/146/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1726124] Re: DNS domain search paths not updated when VPN started

2020-07-24 Thread Dan Streetman
** Tags removed: ddstreet

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1726124

Title:
  DNS domain search paths not updated when VPN started

Status in network-manager package in Ubuntu:
  Confirmed
Status in network-manager-openvpn package in Ubuntu:
  Confirmed
Status in systemd package in Ubuntu:
  Confirmed

Bug description:
  I connect to work with openvpn through network-manager-openvpn.  I'm
  selecting automatic (DHCP) to get an IP address, and "Use this
  connection only for resources on its network" to support split
  tunneling.

  In the last few versions of Ubuntu I used, this all worked fine.  In
  Ubuntu 17.10 (fresh install, not upgrade) I can access hosts on both
  my VPN network and the internet, BUT I have to use FQDN for my VPN
  network hosts: the updates to the DNS search path provided by my VPN
  DHCP server are never being applied.

  Investigating the system I see that /etc/resolv.conf is pointing to
  /run/systemd/resolve/stub-resolv.conf and that resolv.conf does not
  have any of the VPN's search path settings in it:

# This file is managed by man:systemd-resolved(8). Do not edit.
#
# 127.0.0.53 is the systemd-resolved stub resolver.
# run "systemd-resolve --status" to see details about the actual 
nameservers.
nameserver 127.0.0.53

search home

  In previous versions of Ubuntu, where NetworkManager controlled the
  resolver not systemd, /etc/resolv.conf pointed to
  /run/NetworkManager/resolv.conf and there was a local dnsmasq instance
  that managed all the complexity.  In Ubuntu 17.10 when I look in
  /run/NetworkManager/resolv.conf file, I see that the search paths ARE
  properly updated there:

$ cat /run/NetworkManager/resolv.conf 
# Generated by NetworkManager
search internal.mycorp.com other.mycorp.com home
nameserver 127.0.1.1

  However this file isn't being used, and also there's no dnsmasq
  running on the system so if I switch my /etc/resolv.conf to point to
  this file instead, then all lookups fail.

  Strangely, if I look at the systemd-resolv status I see that in theory
  systemd-resolve does seem to know about the proper search paths:

$ systemd-resolve --status
   ...
Link 3 (tun0)
  Current Scopes: DNS LLMNR/IPv4 LLMNR/IPv6
   LLMNR setting: yes
MulticastDNS setting: no
  DNSSEC setting: no
DNSSEC supported: no
 DNS Servers: 10.3.0.10
  10.8.42.2
  DNS Domain: ~internal.mycorp.com
  ~other.mycorp.com

  but for whatever reason the search domains are not getting put into
  the resolv.conf file:

$ host mydesk
;; connection timed out; no servers could be reached

$ host mydesk.internal.mycorp.com
mydesk.internal.mycorp.com has address 10.8.37.74

  (BTW, the timeout in the failed attempt above takes 10s: it is SUPER
  frustrating when all your host lookups are taking that long just to
  fail).

  ProblemType: Bug
  DistroRelease: Ubuntu 17.10
  Package: systemd 234-2ubuntu12
  ProcVersionSignature: Ubuntu 4.13.0-16.19-generic 4.13.4
  Uname: Linux 4.13.0-16-generic x86_64
  ApportVersion: 2.20.7-0ubuntu3
  Architecture: amd64
  CurrentDesktop: GNOME
  Date: Sun Oct 22 15:08:57 2017
  InstallationDate: Installed on 2017-10-21 (1 days ago)
  InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Release amd64 (20171018)
  MachineType: System manufacturer System Product Name
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.13.0-16-generic 
root=UUID=4384306c-5fed-4b48-97a6-a6d594c4f72b ro quiet splash vt.handoff=7
  SourcePackage: systemd
  SystemdDelta:
   [EXTENDED]   /lib/systemd/system/rc-local.service → 
/lib/systemd/system/rc-local.service.d/debian.conf
   [EXTENDED]   /lib/systemd/system/user@.service → 
/lib/systemd/system/user@.service.d/timeout.conf
   
   2 overridden configuration files found.
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 12/02/2014
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: 2101
  dmi.board.asset.tag: To Be Filled By O.E.M.
  dmi.board.name: M5A78L-M/USB3
  dmi.board.vendor: ASUSTeK Computer INC.
  dmi.board.version: Rev X.0x
  dmi.chassis.asset.tag: Asset-1234567890
  dmi.chassis.type: 3
  dmi.chassis.vendor: Chassis Manufacture
  dmi.chassis.version: Chassis Version
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvr2101:bd12/02/2014:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnM5A78L-M/USB3:rvrRevX.0x:cvnChassisManufacture:ct3:cvrChassisVersion:
  dmi.product.family: To Be Filled By O.E.M.
  dmi.product.name: System Product Name
  dmi.product.version: System Version
  dmi.sys.vendor: System manufacturer

To manage notifications 

[Touch-packages] [Bug 1803993] Re: Password appears on the VT1 screen

2020-07-24 Thread Dan Streetman
** Tags removed: ddstreet

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1803993

Title:
  Password appears on the VT1 screen

Status in gdm3 package in Ubuntu:
  Invalid
Status in plymouth package in Ubuntu:
  Invalid
Status in systemd package in Ubuntu:
  Confirmed

Bug description:
  [Impact]

   * The keyboard on the graphical login screen started on VT1 may stop
  working and or keypresses including passwords are leaked to the
  terminal console running 'behind' the graphical login screen or
  environment.

  [Test Case]

   * Reboot after installing the fixed systemd package.
   * Install sysdig
   * Start sysdig on a remote connection or on a terminal console:
$ sudo sysdig evt.type=ioctl | grep  request=4B4
   * While sysdig is running log in and out 3 times in GDM and press a few keys 
in the graphical session to see if keyboard still works
   * Log in and out on an other terminal console, too, running a few commands 
while being logged in to ensure that keyboard is working.
   * Observe that on terminal consoles the monitored keyboard setter ioctl is 
called with argument=3, but where the graphical screen is active only 
argument=4 is used, unlike with the buggy version observed in 
https://bugs.launchpad.net/ubuntu/+source/gdm3/+bug/1803993/comments/14

  [Regression Potential]

   * The fix checks the current keyboard mode of the VT and allows only
  safe mode switches. The potential regression could be not allowing a
  valid mode switch keeping a keyboard in a non-operational mode.
  Testing covers that by typing the keyboard.

  
  (continued from bug 1767918)

  This was found when an administrative error made /home directory
  inaccessible.  Any users that tried to login after that, were not able
  to (which is expected) but their password appears on the VT1 screen.
  Under normal circumstances, VT1 is not visible. But once the system
  was sent into this compromised mode, one can press ctrl+alt+F1 and
  then ctrl+alt+F2 and get a momentary glance at VT1. One can keep
  toggling between these key combinations in order to make out the
  password(s) on VT1.

  As a further test, I wanted to see if a non-super user could cause
  this condition, and it is in fact possible. As a regular user, I made
  their own home directory not writable and then removed ~/.config and
  logged out. Then logged in as that user again, and although that user
  can't login the system does go into that mode where passwords appear
  on VT1 and are viewable with the key combinations mentioned herein.
  Further, any other users that login will see no problem, but when they
  logon their passwords also appear on VT1 and are viewable.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: gdm3 3.28.3-0ubuntu18.04.3
  Uname: Linux 4.19.2-041902-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.5
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Mon Nov 19 08:32:59 2018
  InstallationDate: Installed on 2018-08-25 (85 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: gdm3
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gdm3/+bug/1803993/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1882596] Re: systemd.unit(5) incorrectly refers to systemd.syntax(5)

2020-07-24 Thread Dan Streetman
** Changed in: systemd (Ubuntu Groovy)
 Assignee: (unassigned) => Dan Streetman (ddstreet)

** Changed in: systemd (Ubuntu Focal)
 Assignee: (unassigned) => Dan Streetman (ddstreet)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1882596

Title:
  systemd.unit(5)  incorrectly refers to systemd.syntax(5)

Status in systemd package in Ubuntu:
  In Progress
Status in systemd source package in Focal:
  In Progress
Status in systemd source package in Groovy:
  In Progress

Bug description:
  [impact]

  some systemd man pages refer to the wrong man section for some
  references

  [test case]

  e.g.

  $ man systemd.network | grep systemd.syntax
 A plain ini-style text file that encodes network configuration for 
matching network interfaces, used by systemd-networkd(8). See systemd.syntax(5) 
for a general description of the syntax.

  $ man 5 systemd.syntax
  No manual entry for systemd.syntax in section 5

  [regression potential]

  any regression would possibly cause confusion by referencing the wrong
  man section, or possibly cause a build failure, or problem with
  various man pages for systemd

  [scope]

  this is needed for f/g

  there is no systemd.syntax manpage in b or earlier

  [original description]

  In Ubuntu 20.04 LTS there is no systemd.syntax(5) it is actually
  systemd.syntax(7).

  "See systemd.syntax(5) for a general description of the syntax."

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1882596/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885730] Re: Bring back ondemand.service or switch kernel default governor for pstate - pstate now defaults to performance governor

2020-07-24 Thread Dimitri John Ledkov
@colin-king @juliank

It feels to me that the oem flavour should default to
(powersave/ondemand), as it is more-or-less laptop kernel flavour.

I feel like generic kernel flavour should remain on performance.

I feel like we should have a unit, that for chassis=laptop turns on
(powersave/ondemand). Possibly shipped in like procps package. Or there
should be like graphical desktop integration to control this (aka game
mode).

Is there a per-chasis type setting in kernel? as in something like
CONFIG_WHEN_ON_LAPTOP_DEFAULT_GOV_* ?

Do above actionable things make sense?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1885730

Title:
  Bring back ondemand.service or switch kernel default governor for
  pstate - pstate now defaults to performance governor

Status in linux package in Ubuntu:
  Confirmed
Status in systemd package in Ubuntu:
  Invalid
Status in linux source package in Groovy:
  Confirmed
Status in systemd source package in Groovy:
  Invalid

Bug description:
  In a recent merge from Debian we lost ondemand.service, meaning all
  CPUs now run in Turbo all the time when idle, which is clearly
  suboptimal.

  The discussion in bug 1806012 seems misleading, focusing on p-state vs
  other drivers, when in fact, the script actually set the default
  governor for the pstate driver on platforms that use pstate.
  Everything below only looks at systems that use pstate.

  pstate has two governors: performance and powerstate. performance runs
  CPU at maximum frequency constantly, and powersave can be configured
  using various energy profiles energy profiles:

  - performance
  - balanced performance
  - balanced power
  - power

  It defaults to balanced performance, I think, but I'm not sure.

  Whether performance governor is faster than powersave governor is not
  even clear.
  https://www.phoronix.com/scan.php?page=article=linux50-pstate-
  cpufreq=5 benchmarked them, but did not benchmark the individual
  energy profiles.

  For a desktop/laptop, the expected behavior is the powersave governor
  with balanced_performance on AC and balanced_power on battery.

  I don't know about servers or VMs, but the benchmark series seems to
  indicate it does not really matter much performance wise.

  I think most other distributions configure their kernels to use the
  powersave governor by default, whereas we configure it to use the
  performance governor and then switch it later in the boot to get the
  maximum performance during bootup. It's not clear to me that's
  actually useful.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1885730/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1876055] Re: SRU: Backport 2.4.3-1ubuntu3 from groovy to focal/eoan/bionic/xenial for newer syscalls for core20 base and test suite robustness

2020-07-24 Thread Dan Streetman
** Changed in: systemd (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1876055

Title:
  SRU: Backport 2.4.3-1ubuntu3 from groovy to focal/eoan/bionic/xenial
  for newer syscalls for core20 base and test suite robustness

Status in libseccomp package in Ubuntu:
  Fix Released
Status in systemd package in Ubuntu:
  Fix Released
Status in libseccomp source package in Xenial:
  Fix Released
Status in libseccomp source package in Bionic:
  Fix Released
Status in libseccomp source package in Eoan:
  Fix Released
Status in systemd source package in Eoan:
  Fix Released
Status in libseccomp source package in Focal:
  Fix Released
Status in libseccomp source package in Groovy:
  Fix Released

Bug description:
  [Impact]

  The combination of snap-confine and snap-seccomp from snapd uses
  libseccomp to filter various system calls for confinement. The current
  version in eoan/bionic/xenial (2.4.1) is missing knowledge of various
  system calls for various architectures. As such this causes strange
  issues like python snaps segfaulting
  (https://github.com/snapcore/core20/issues/48) or the inadvertent
  denial of system calls which should be permitted by the base policy
  (https://forum.snapcraft.io/t/getrlimit-blocked-by-seccomp-on-focal-
  arm64/17237).

  libseccomp in groovy is using the latest upstream base release (2.4.3)
  plus it includes a patch to add some missing aarch64 system calls
  (https://bugs.launchpad.net/ubuntu/+source/libseccomp/+bug/1877633).

  SRUing this version back to older stable releases allows libseccomp to
  operate correctly on all supported architectures.

  
  Included as part of this SRU are test-suite reliability improvements - 
currently the xenial libseccomp package overrides test-suite failures at build 
time to ignore failures. This masks the fact that on ppc64el and s390x there 
are currently test suite failures at build time for xenial - these failures 
occur since libseccomp now includes knowledge of system calls for these 
architectures but which the linux-libc-dev package for xenial does not actually 
define (since this is based of the 4.4 kernel in xenial whereas libseccomp 
2.4.1 in xenial has knowledge of all system calls up to 5.4). 

  In this SRU I have instead fixed the test suite failures for xenial by
  including a local (test-suite specific) set of architecture specific
  kernel headers from the linux-libc-dev in focal for all releases.
  These are just the headers which define the system call numbers for
  each architecture *and* these are added to tests/include/$ARCH in the
  source package (and tests/Makefile.am is then updated to include these
  new headers only).  As such this ensures the actual build of
  libseccomp or any of the tools does not reference these headers. This
  allows the test suite in libseccomp to then be aware of theses system
  calls and so all unit tests for all architectures now pass.

  In any future updates for libseccomp to add new system calls, we can
  then similarly update these local headers to ensure the unit tests
  continue to work as expected.

  
  [Test Case]

  libseccomp includes a significant unit test suite that is run during
  the build and as part of autopkgtests. To verify the new aarch64
  system calls are resolved as expected the scmp_sys_resolver command
  can be used as well:

  $ scmp_sys_resolver -a aarch64 getrlimit
  163

  (whereas in the current version in focal this returns -10180 as
  libseccomp was not aware of this system-call at compile-time).

  As part of this SRU, the test suite in libseccomp has been patched to
  include a local copy of the architecture-specific kernel headers from
  the 5.4 kernel in focal *for all releases*, so that all system calls
  which are defined for the 5.4 kernel are known about *for the
  libseccomp test suite*. This allows all unit tests to pass on older
  releases as well and defaults the build to fail on unit test failures
  (whereas currently in xenial this has been overridden to ignore
  failures).

  
  [Regression Potential]

  This has a low regression potential due to significant testing with
  many packages that depend on libseccomp (lxc, qemu, snapd, apt, man
  etc) and none have shown any regression using this new version. The
  re-enablement of build failure on test failure at build time also
  ensures that we can reliably detect FTBFS issues in the future.

  No symbols have been removed (or added) with this update in version so
  there is no chance of regression due to ABI change etc. In the past,
  the security team has performed more significant version upgrades for
  libseccomp (2.2, 2.3, 2.4) -> 2.4.1 without major incident. In the
  case of *this* SRU, we are only doing a micro-version upgrade from
  2.4.1 to 2.4.3 so this carries even less change of regressions.

  Any possible 

[Touch-packages] [Bug 1776654] Re: systemd upstream sysusers tests fails

2020-07-24 Thread Dan Streetman
** Changed in: systemd (Ubuntu)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1776654

Title:
  systemd upstream sysusers tests fails

Status in linux package in Ubuntu:
  Invalid
Status in systemd package in Ubuntu:
  Fix Released
Status in linux source package in Bionic:
  Invalid
Status in systemd source package in Bionic:
  Fix Released
Status in linux source package in Cosmic:
  Invalid
Status in linux source package in Eoan:
  Invalid
Status in systemd source package in Eoan:
  Fix Released
Status in linux source package in Focal:
  Invalid
Status in systemd source package in Focal:
  Fix Released

Bug description:
  [impact]

  TEST-21-SYSUSERS autopkgtest fails

  [test case]

  see original description

  [regression potential]

  any regression would be limited to incorrect pass/fail of
  TEST-21-SYSUSERS

  [scope]

  TEST-21-SYSUSERS does not exist in Xenial, it is first contained in
  Bionic.  This is needed for B, E, and F.

  [original description]

  
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac
  /autopkgtest-cosmic-canonical-kernel-team-
  bootstrap/cosmic/amd64/s/systemd/20180613_003352_38c07@/log.gz

  == TEST-21-SYSUSERS ==
  make: Entering directory 
'/tmp/autopkgtest.phv1ss/build.sqb/src/test/TEST-21-SYSUSERS'
  TEST CLEANUP: Sysuser-related tests
  TEST SETUP: Sysuser-related tests
  TEST RUN: Sysuser-related tests
  *** Running test-1.input
  *** Running test-2.input
  *** Running test-3.input
  *** Running test-4.input
  *** Running test unhappy-1.input
  --- /var/tmp/systemd-test.TjNA7s/tmp/err  2018-06-13 00:22:12.805061468 
+
  +++ unhappy-1.expected-err2018-01-28 15:58:17.0 +
  @@ -1 +1 @@
  -Creating user xxx (n/a) with uid 312 and gid 310.
  +Failed to parse UID: '99': Numerical result out of range
   Unexpected error output for unhappy-1.input
  Creating user xxx (n/a) with uid 312 and gid 310.
  make: *** [run] Error 1
  Makefile:4: recipe for target 'run' failed
  make: Leaving directory 
'/tmp/autopkgtest.phv1ss/build.sqb/src/test/TEST-21-SYSUSERS'

  FAILED TESTS:  test/TEST-21-SYSUSERS
  autopkgtest [00:22:13]: test upstream: ---]
  upstream FAIL non-zero exit status 1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1776654/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1860826] Re: pam_unix(sudo:auth): Couldn't open /etc/securetty: No such file or directory

2020-07-24 Thread ITEAS
Same here after focal Update with local sudoers. With sudoers over
ActiveDirectory (SSS) it is working, but all local entries are ignored
@20.04.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pam in Ubuntu.
https://bugs.launchpad.net/bugs/1860826

Title:
  pam_unix(sudo:auth): Couldn't open /etc/securetty: No such file or
  directory

Status in pam package in Ubuntu:
  Confirmed
Status in pam source package in Groovy:
  Confirmed
Status in pam package in Debian:
  New

Bug description:
  Hello, after upgrading to focal I found the following in my journalctl
  output:

  Jan 24 23:07:00 millbarge sudo[32120]: pam_unix(sudo:auth): Couldn't open 
/etc/securetty: No such file or directory
  Jan 24 23:07:01 millbarge sudo[32120]: pam_unix(sudo:auth): Couldn't open 
/etc/securetty: No such file or directory

  
  The login package stopped packaging this file:
  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=731656
  and now forcibly removes the file:
  https://paste.ubuntu.com/p/myh9cGWrHD/

  However, the pam package's pam_unix.so module has not yet been adapted to 
ignore this file:
  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=674857#25

  Thanks

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: libpam-modules 1.3.1-5ubuntu4
  ProcVersionSignature: Ubuntu 5.4.0-9.12-generic 5.4.3
  Uname: Linux 5.4.0-9-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
  ApportVersion: 2.20.11-0ubuntu15
  Architecture: amd64
  Date: Fri Jan 24 23:35:33 2020
  ProcEnviron:
   TERM=rxvt-unicode-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: pam
  UpgradeStatus: Upgraded to focal on 2020-01-24 (0 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pam/+bug/1860826/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1882596] Re: systemd.unit(5) incorrectly refers to systemd.syntax(5)

2020-07-24 Thread Dan Streetman
** Also affects: systemd (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Also affects: systemd (Ubuntu Groovy)
   Importance: Low
   Status: Confirmed

** Changed in: systemd (Ubuntu Focal)
   Importance: Undecided => Low

** Description changed:

+ [impact]
+ 
+ some systemd man pages refer to the wrong man section for some
+ references
+ 
+ [test case]
+ 
+ e.g.
+ 
+ $ man systemd.network | grep systemd.syntax
+A plain ini-style text file that encodes network configuration for 
matching network interfaces, used by systemd-networkd(8). See systemd.syntax(5) 
for a general description of the syntax.
+ 
+ $ man 5 systemd.syntax
+ No manual entry for systemd.syntax in section 5
+ 
+ [regression potential]
+ 
+ any regression would possibly cause confusion by referencing the wrong
+ man section, or possibly cause a build failure, or problem with various
+ man pages for systemd
+ 
+ [scope]
+ 
+ this is needed for f/g
+ 
+ there is no systemd.syntax manpage in b or earlier
+ 
+ [original description]
+ 
  In Ubuntu 20.04 LTS there is no systemd.syntax(5) it is actually
  systemd.syntax(7).
  
  "See systemd.syntax(5) for a general description of the syntax."

** Changed in: systemd (Ubuntu Focal)
   Status: New => In Progress

** Changed in: systemd (Ubuntu Groovy)
   Status: Confirmed => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1882596

Title:
  systemd.unit(5)  incorrectly refers to systemd.syntax(5)

Status in systemd package in Ubuntu:
  In Progress
Status in systemd source package in Focal:
  In Progress
Status in systemd source package in Groovy:
  In Progress

Bug description:
  [impact]

  some systemd man pages refer to the wrong man section for some
  references

  [test case]

  e.g.

  $ man systemd.network | grep systemd.syntax
 A plain ini-style text file that encodes network configuration for 
matching network interfaces, used by systemd-networkd(8). See systemd.syntax(5) 
for a general description of the syntax.

  $ man 5 systemd.syntax
  No manual entry for systemd.syntax in section 5

  [regression potential]

  any regression would possibly cause confusion by referencing the wrong
  man section, or possibly cause a build failure, or problem with
  various man pages for systemd

  [scope]

  this is needed for f/g

  there is no systemd.syntax manpage in b or earlier

  [original description]

  In Ubuntu 20.04 LTS there is no systemd.syntax(5) it is actually
  systemd.syntax(7).

  "See systemd.syntax(5) for a general description of the syntax."

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1882596/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1830955] Re: Systemd removes OpenVPN IP addresses

2020-07-24 Thread Dan Streetman
** Tags removed: ddstreet

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1830955

Title:
  Systemd removes OpenVPN IP addresses

Status in systemd package in Ubuntu:
  New

Bug description:
  This is probably related to,  but not a duplicate of, bug 1815101.
  Running

  root@third:/home/leroy# lsb_release -rd
  Description:Ubuntu 18.04.2 LTS
  Release:18.04

  Systemd version:

  root@third:/home/leroy# apt-cache policy systemd
  systemd:
Installed: 237-3ubuntu10.21
Candidate: 237-3ubuntu10.21
Version table:
   *** 237-3ubuntu10.21 500
  500 http://us.archive.ubuntu.com/ubuntu bionic-updates/main amd64 
Packages
  100 /var/lib/dpkg/status
   237-3ubuntu10.19 500
  500 http://security.ubuntu.com/ubuntu bionic-security/main amd64 
Packages
   237-3ubuntu10 500
  500 http://us.archive.ubuntu.com/ubuntu bionic/main amd64 Packages

  I expected the OpenVPN IP addresses to remain, instead they were
  removed, the physical NIC address remained, process:

  Start OpenVPN with systemctl start openvpn@ (in this
  situation, two instances).  Result:

  root@third:/etc/openvpn# ip addr sh tun0
  7: tun0:  mtu 1500 qdisc fq_codel 
state UNKNOWN group default qlen 100
  link/none 
  inet 10.57.3.1 peer 10.57.3.2/32 scope global tun0
 valid_lft forever preferred_lft forever
  inet6 fe80::f0ea:151b:cb91:5d1b/64 scope link stable-privacy 
 valid_lft forever preferred_lft forever
  root@third:/etc/openvpn# ip addr sh tun1
  8: tun1:  mtu 1500 qdisc fq_codel 
state UNKNOWN group default qlen 100
  link/none 
  inet 10.222.108.234 peer 10.222.108.233/32 scope global tun1
 valid_lft forever preferred_lft forever
  inet6 fe80::3103:7936:cf19:6237/64 scope link stable-privacy 
 valid_lft forever preferred_lft forever

  Test a configuration (which, incidentally, isn't valid for this
  system) with 'netplan try ..' and allow it to revert (which should
  have restored the previous configuration), see below:

  root@third:/etc/openvpn# cd ~leroy/Downloads
  root@third:/home/leroy/Downloads# ll *.yaml
  -rw-rw-r-- 1 leroy leroy 555 May 29 10:46 startup.yaml
  root@third:/home/leroy/Downloads# netplan --debug try --config-file 
~leroy/Downloads/startup.yaml --timeout 15
  DEBUG:eno1 not found in {}
  DEBUG:Merged config:
  network:
bonds: {}
bridges: {}
ethernets:
  eno1:
addresses:
- 10.15.0.37/24
dhcp4: false
gateway4: 10.15.0.1
nameservers:
  addresses:
  - 10.15.0.8
  - 10.3.77.11
  - 10.45.77.11
  - 8.8.8.8
vlans: {}
wifis: {}

  DEBUG:New interfaces: {'eno1'}
  ** (generate:8216): DEBUG: 11:19:39.770: Processing input file 
/etc/netplan/01-network-manager-all.yaml..
  ** (generate:8216): DEBUG: 11:19:39.771: starting new processing pass
  ** (generate:8216): DEBUG: 11:19:39.771: Processing input file 
/etc/netplan/startup.1559146779.768221.yaml..
  ** (generate:8216): DEBUG: 11:19:39.771: starting new processing pass
  ** (generate:8216): DEBUG: 11:19:39.771: eno1: setting default backend to 2
  ** (generate:8216): DEBUG: 11:19:39.771: Generating output files..
  ** (generate:8216): DEBUG: 11:19:39.771: networkd: definition eno1 is not for 
us (backend 2)
  DEBUG:no netplan generated networkd configuration exists
  DEBUG:netplan generated NM configuration exists, restarting NM
  DEBUG:eno1 not found in {}
  DEBUG:Merged config:
  network:
bonds: {}
bridges: {}
ethernets:
  eno1:
addresses:
- 10.15.0.37/24
dhcp4: false
gateway4: 10.15.0.1
nameservers:
  addresses:
  - 10.15.0.8
  - 10.3.77.11
  - 10.45.77.11
  - 8.8.8.8
vlans: {}
wifis: {}

  DEBUG:Skipping non-physical interface: lo
  DEBUG:Skipping non-physical interface: enp2s0
  DEBUG:Skipping non-physical interface: virbr0
  DEBUG:Skipping non-physical interface: virbr0-nic
  DEBUG:Skipping non-physical interface: tun0
  DEBUG:Skipping non-physical interface: tun1
  DEBUG:{}
  DEBUG:netplan triggering .link rules for lo
  DEBUG:netplan triggering .link rules for enp2s0
  DEBUG:netplan triggering .link rules for virbr0
  DEBUG:netplan triggering .link rules for virbr0-nic
  DEBUG:netplan triggering .link rules for tun0
  DEBUG:netplan triggering .link rules for tun1
  Do you want to keep these settings?

  
  Press ENTER before the timeout to accept the new configuration

  
  Changes will revert in  1 seconds
  Reverting.
  DEBUG:no netplan generated networkd configuration exists
  DEBUG:netplan generated NM configuration exists, restarting NM
  DEBUG:Merged config:
  network:
bonds: {}
bridges: {}
ethernets: {}
vlans: {}
wifis: {}

  DEBUG:Skipping non-physical interface: lo
  DEBUG:Skipping non-physical 

[Touch-packages] [Bug 1847597] Re: gnome-control-center cannot access google account

2020-07-24 Thread tsechunhin
I could not upgrade gnome over v3.18 at ubuntu 1.16, it says its already the 
newest.
If this is the case, does this mean g-drive is screwed for all ubuntu 1.16 
users?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gnome-online-accounts in
Ubuntu.
https://bugs.launchpad.net/bugs/1847597

Title:
  gnome-control-center cannot access google account

Status in gnome-online-accounts:
  New
Status in gnome-online-accounts package in Ubuntu:
  Confirmed

Bug description:
  Good morning,

  If I run "gnome-control-center online-accounts" from the terminal and
  trying to add a Google account, I get this error: "Sign in with Google
  is temporarily disabled for this app. This app has not been verified
  yet by Google in order to use Google sign in". On the web, Google
  suggests to contact you, so here I am. Can you fix please? I would use
  my drive folders on my ubuntu 16.04. Thanks in advance.

To manage notifications about this bug go to:
https://bugs.launchpad.net/gnome-online-accounts/+bug/1847597/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1861941] Re: bcache by-uuid links disappear after mounting bcache0

2020-07-24 Thread Rafael David Tinoco
** Merge proposal unlinked:
   
https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/+git/systemd/+merge/387991

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1861941

Title:
  bcache by-uuid links disappear after mounting bcache0

Status in bcache-tools package in Ubuntu:
  In Progress
Status in systemd package in Ubuntu:
  Fix Released
Status in bcache-tools source package in Bionic:
  In Progress
Status in systemd source package in Bionic:
  In Progress
Status in bcache-tools source package in Focal:
  In Progress
Status in systemd source package in Focal:
  In Progress

Bug description:
  1.
  root@ubuntu:~# lsb_release -rd
  Description:  Ubuntu Focal Fossa (development branch)
  Release:  20.04

  2. 
  root@ubuntu:~# lsb_release -rd
  Description:  Ubuntu Focal Fossa (development branch)
  Release:  20.04
  root@ubuntu:~# apt-cache policy linux-image-virtual 
  linux-image-virtual:
Installed: 5.4.0.12.15
Candidate: 5.4.0.12.15
Version table:
   *** 5.4.0.12.15 500
  500 http://archive.ubuntu.com/ubuntu focal/main amd64 Packages
  100 /var/lib/dpkg/status
  root@ubuntu:~# apt-cache policy linux-image-5.4.0-12-generic 
  linux-image-5.4.0-12-generic:
Installed: 5.4.0-12.15
Candidate: 5.4.0-12.15
Version table:
   *** 5.4.0-12.15 500
  500 http://archive.ubuntu.com/ubuntu focal/main amd64 Packages
  100 /var/lib/dpkg/status

  3. mount /dev/bcache0 && ls -al /dev/bcache/by-uuid/
  + ls -al /dev/bcache/by-uuid/
  total 0
  drwxr-xr-x 2 root root 60 Feb  4 23:31 .
  drwxr-xr-x 3 root root 60 Feb  4 23:31 ..
  lrwxrwxrwx 1 root root 13 Feb  4 23:31 abdfd1f6-44ce-4266-91db-24667b9ae51a 
-> ../../bcache0

  4.
  root@ubuntu:~# ls -al /dev/bcache/by-uuid
  ls: cannot access '/dev/bcache/by-uuid': No such file or directory

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: linux-image-5.4.0-12-generic 5.4.0-12.15
  ProcVersionSignature: Ubuntu 5.4.0-12.15-generic 5.4.8
  Uname: Linux 5.4.0-12-generic x86_64
  ApportVersion: 2.20.11-0ubuntu16
  Architecture: amd64
  Date: Tue Feb  4 23:31:52 2020
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   LANG=C.UTF-8
   SHELL=/bin/bash
  SourcePackage: linux-signed-5.4
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bcache-tools/+bug/1861941/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880247] Re: Default iris_dri driver causes crashes in many kde applications

2020-07-24 Thread Launchpad Bug Tracker
[Expired for mesa (Ubuntu) because there has been no activity for 60
days.]

** Changed in: mesa (Ubuntu)
   Status: Incomplete => Expired

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1880247

Title:
  Default iris_dri driver causes crashes in many kde applications

Status in mesa package in Ubuntu:
  Expired

Bug description:
  Default iris driver shipped with Ubuntu 20.04 is buggy and crashes
  many kde applications.

  I reported this bug to KDE: https://bugs.kde.org/show_bug.cgi?id=420782 
  and I was told to report it to iris driver developers.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1880247/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1802718] Re: Allow people to do sudo apt-get build-dep without any further configuration

2020-07-24 Thread Tambellini
Just confirming the annoyance/source of bugs/misunderstanding of doing such:
sudo cp /etc/apt/sources.list /etc/apt/sources.list~
sudo sed -Ei 's/^# deb-src /deb-src /' /etc/apt/sources.list
sudo apt-get update

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1802718

Title:
  Allow people to do sudo apt-get build-dep without any further
  configuration

Status in apt package in Ubuntu:
  Confirmed

Bug description:
  Or provide a reliable CLI method, a direct sed on
  /etc/atp/sources.list does not feel clean.

  Motivation: https://askubuntu.com/questions/496549/error-you-must-put-
  some-source-uris-in-your-sources-list

  This is specially important for Docker, but also a big annoyance on
  desktop, as there is no clean CLI way of enabling it.

  Why not just enable by default and save people the trouble?

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1802718/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1888705] Re: lxc ftbfs against libselinux 3.1

2020-07-24 Thread Stéphane Graber
** Changed in: lxc (Ubuntu)
 Assignee: (unassigned) => Christian Brauner (cbrauner)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to lxc in Ubuntu.
https://bugs.launchpad.net/bugs/1888705

Title:
  lxc ftbfs against libselinux 3.1

Status in lxc package in Ubuntu:
  New

Bug description:
  lxc fails to build from source against libselinux 3.1 in groovy-
  proposed, as seen in the autopkgtests which do a rebuild as part of
  the test:

  libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I../../src -fPIC -DPIC 
-DLXCROOTFSMOUNT=\"/usr/lib/x86_64-linux-gnu/lxc\" -DLXCPATH=\"/var/lib/lxc\" 
-DLXC_GLOBAL_CONF=\"/etc/lxc/lxc.conf\" 
-DLXCINITDIR=\"/usr/lib/x86_64-linux-gnu\" 
-DLIBEXECDIR=\"/usr/lib/x86_64-linux-gnu\" 
-DLXCTEMPLATEDIR=\"/usr/share/lxc/templates\" 
-DLXCTEMPLATECONFIG=\"/usr/share/lxc/config\" -DLOGPATH=\"/var/log/lxc\" 
-DLXC_DEFAULT_CONFIG=\"/etc/lxc/default.conf\" 
-DLXC_USERNIC_DB=\"/run/lxc/nics\" -DLXC_USERNIC_CONF=\"/etc/lxc/lxc-usernet\" 
-DDEFAULT_CGROUP_PATTERN=\"\" -DRUNTIME_PATH=\"/run\" -DSBINDIR=\"/usr/sbin\" 
-DAPPARMOR_CACHE_DIR=\"/var/cache/lxc/apparmor\" -I ../../src -I ../../src/lxc 
-I ../../src/lxc/storage -I ../../src/lxc/cgroups -DHAVE_APPARMOR 
-DHAVE_SECCOMP -DHAVE_SELINUX -pthread -g -O2 -fdiagnostics-color 
-Wimplicit-fallthrough=5 -Wcast-align -fno-strict-aliasing 
-fstack-clash-protection -fstack-protector-strong --param=ssp-buffer-size=4 -g 
-Werror=implicit-function-declaration -Wlogical-op -Wmissing-include-dirs 
-Winit-self -Wunused-but-set-variable -Wfloat-equal 
-Wsuggest-attribute=noreturn -Werror=return-type 
-Werror=incompatible-pointer-types -Wformat=2 -Wshadow -Wendif-labels 
-Werror=overflow -fdiagnostics-show-option -Werror=shift-count-overflow 
-Werror=shift-overflow=2 -Wdate-time -Wnested-externs 
-fasynchronous-unwind-tables -pipe -fexceptions -Wvla -std=gnu11 -Werror -MT 
lsm/liblxc_la-selinux.lo -MD -MP -MF lsm/.deps/liblxc_la-selinux.Tpo -c 
lsm/selinux.c  -fPIC -DPIC -o lsm/.libs/liblxc_la-selinux.o
  lsm/selinux.c: In function ‘selinux_process_label_get’:
  lsm/selinux.c:35:2: error: ‘security_context_t’ is deprecated 
[-Werror=deprecated-declarations]
 35 |  security_context_t ctx;
|  ^~
  cc1: all warnings being treated as errors

  Because this is a universe package, I intend to force libselinux into
  the release, overriding this test failure.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/lxc/+bug/1888705/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1877879] Re: segfault in iris_dri.so

2020-07-24 Thread Launchpad Bug Tracker
*** This bug is a duplicate of bug 1876219 ***
https://bugs.launchpad.net/bugs/1876219

Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: mesa (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1877879

Title:
  segfault in iris_dri.so

Status in mesa package in Ubuntu:
  Confirmed

Bug description:
  As of Ubuntu 20.04, on intel graphics with intel driver (not
  modesetting), I got segfault whenever anything tries to use GL.

  This happens unless I export MESA_LOADER_DRIVER_OVERRIDE=i965. One
  says that it does not happen with modesetting driver.

  (gdb) run
  Starting program: /usr/bin/glxgears 
  [Thread debugging using libthread_db enabled]
  Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
  [New Thread 0x717cf700 (LWP 97070)]
  [New Thread 0x7fffebfff700 (LWP 97071)]
  [New Thread 0x70fce700 (LWP 97072)]
  [New Thread 0x7fffeb7fe700 (LWP 97073)]

  Thread 1 "glxgears" received signal SIGSEGV, Segmentation fault.
  0x76a7e1d4 in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
  (gdb) where
  #0  0x76a7e1d4 in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
  #1  0x76c42de4 in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
  #2  0x76a59e5d in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
  #3  0x76a5aa95 in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
  #4  0x76099774 in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
  #5  0x711e in ?? ()
  #6  0x6c88 in ?? ()
  #7  0x77ace0b3 in __libc_start_main (main=0x6410, argc=1, 
argv=0x7fffe698, init=, fini=, 
rtld_fini=, stack_end=0x7fffe688) at ../csu/libc-start.c:308
  #8  0x6f0a in ?? ()
  (gdb) 

  I believe, this is a bug in mesa tracked here:
  https://gitlab.freedesktop.org/mesa/mesa/issues/1358

  packages versions:
  libgl1-mesa-dri:amd64 20.0.4-2ubuntu1 
amd64 
  xserver-xorg-video-intel  2:2.99.917+git20200226-1
amd64
  xserver-xorg-core 2:1.20.8-2ubuntu2   
amd64

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1877879/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1835660] Re: initramfs unpacking failed

2020-07-24 Thread Davide
Ubuntu 20.04
for me the problem started after upgrading to the kernel version 
5.4.0-42-generic,
I noticed it because the boot up failed once.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1835660

Title:
  initramfs unpacking failed

Status in initramfs-tools package in Ubuntu:
  Invalid
Status in linux package in Ubuntu:
  Confirmed

Bug description:
  "initramfs unpacking failed: Decoding failed",  message appears on
  boot up.

  If I "update-initramfs" using gzip instead of lz, then boot up passes
  without decoding failed message.

  ---

  However, we currently believe that the decoding error reported in
  dmesg is actually harmless and has no impact on usability on the
  system.

  Switching from lz4 to gzip compression, simply papers over the
  warning, without any benefits, and slows down boot.

  Kernel should be fixed to correctly parse lz4 compressed initrds, or
  at least lower the warning, to not be user visible as an error.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1835660/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1838329] Re: Cryptswap periodically fails to mount at boot due to missing a udev notification

2020-07-24 Thread Launchpad Bug Tracker
** Merge proposal linked:
   
https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/+git/systemd/+merge/387998

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1838329

Title:
  Cryptswap periodically fails to mount at boot due to missing a udev
  notification

Status in systemd:
  New
Status in systemd package in Ubuntu:
  Fix Released
Status in systemd source package in Bionic:
  New
Status in systemd source package in Focal:
  Fix Released
Status in systemd source package in Groovy:
  Fix Released

Bug description:
  [impact]

  systems using cryptsetup-based encrypted swap may hang during boot due
  to udevd missing the notification that swap has been setup on the
  newly created swap device.

  [test case]

  see original description, and reproduction is intermittent based on
  timing

  [regression potential]

  any regression would likely occur during, or after, boot when creating
  an encrypted swap device and/or while waiting to activate the new swap
  device. Regressions may cause failure to correctly enable swap and/or
  hung boot waiting for the swap device.

  [scope]

  this was (potentially) fixed upstream with PR 15836, which is not yet
  included in any upstream release, so this is needed in all releases,
  including groovy.

  also note while the upstream bug is closed, and code review seems to
  indicate this *should* fix this specific issue, there are some
  comments in the upstream bug indicating it may not completely solve
  the problem, although there is no further debug of the new reports.

  [original description]

  On some systems, cryptsetup-based encrypted swap partitions cause
  systemd to get stuck at boot. This is a timing-sensitive Heisenbug, so
  the rate of occurrence varies from one system to another. Some
  hardware will not experience the issue at all, others will only
  occasionally experience the issue, and then there are the unlucky who
  are unable to boot at all, no matter how many times they restart.

  The workaround is for the cryptsetup-generator to generate cryptswap
  service entries that call `udevadm trigger` after `mkswap`. This will
  ensure that the udev event is triggered, so that systemd is notified
  that the encrypt swap partition is ready to activate. This patch has
  already been submitted upstream to systemd, but it was not accepted
  because it is a workaround for the side effect of systemd not seeing
  the udev event upon creating the swap partition.

To manage notifications about this bug go to:
https://bugs.launchpad.net/systemd/+bug/1838329/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1875708] Re: Truncated messages in journald since systemd v244

2020-07-24 Thread Launchpad Bug Tracker
** Merge proposal linked:
   
https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/+git/systemd/+merge/387998

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1875708

Title:
  Truncated messages in journald since systemd v244

Status in libvirt package in Ubuntu:
  Invalid
Status in systemd package in Ubuntu:
  Fix Released
Status in libvirt source package in Focal:
  Confirmed
Status in systemd source package in Focal:
  Fix Released
Status in libvirt source package in Groovy:
  Invalid
Status in systemd source package in Groovy:
  Fix Released

Bug description:
  [Impact]

   * since 09d0b46a "journal: refresh cached credentials of stdout streams"
 in ~244 output may be trincated.

   * Upstream has a fix in https://github.com/systemd/systemd/pull/15685

   * Backporting the fix will avoid truncation of log output to journald

  [Test Case]

   * This could happen in any case, but is more likely when a program that 
 has output going to journald is spawning short-lived sub-programs often.
 Therefore the test emphasizes on that:

 - Use a test service like /etc/systemd/system/test.service:
  [Unit]
  Description=Test Truncate
  After=network.target

  [Service]
  ExecStart=/usr/lib/test.sh long-test-for-start
  ExecStop=/usr/lib/test.sh long-test-for-stop
  Type=oneshot
  RemainAfterExit=yes
  StandardOutput=journal+console
  TimeoutStopSec=0

  [Install]
  WantedBy=multi-user.target

 - And a test script like /usr/lib/test.sh:
  #!/bin/sh
  gettext "This will"
  echo
  gettext "usually fail"
  echo
  gettext "and be truncated"
  echo 

  Start/Stopping that service without the fix will look like:
  Apr 30 18:56:40 f systemd[1]: Stopping Test Truncate...
  Apr 30 18:56:40 f test.sh[1165]: T
  Apr 30 18:56:40 f test.sh[1167]: T
  Apr 30 18:56:40 f test.sh[1167]: sually fai
  Apr 30 18:56:40 f test.sh[1165]: s
  Apr 30 18:56:40 f test.sh[1168]: s
  Apr 30 18:56:40 f test.sh[1168]: nd be truncate
  Apr 30 18:56:40 f test.sh[1165]: n
  Apr 30 18:56:40 f systemd[1]: test.service: Succeeded.
  Apr 30 18:56:40 f systemd[1]: Stopped Test Truncate.

  
  [Regression Potential] 

   * The patches are rather small, but there might be a slightly increased 
 memory consumption of journald for output buffers. 
   * Issues (if any and I couldn't find any so far) should be only to 
 journald output handling. Systemd is huge, this at least narrows
 down the potential places of a regression a lot.

  [Other Info]
   
   * n/a

  --- --- --- --- --- --- --- --- --- --- --- --- --- --- ---

  Originally reported against libvirt which happens to be one of the
  example-triggers

  Hi,

  when I shut down my machine I see messages from /usr/lib/libvirt
  /libvirt-guests.sh but there are 2 anomalies:

   - 3 libvirt-guests.sh processes are run
   - messages are truncated

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: libvirt-daemon 6.0.0-0ubuntu8
  Uname: Linux 5.6.7-050607-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  CurrentDesktop: KDE
  Date: Tue Apr 28 19:42:56 2020
  SourcePackage: libvirt
  UpgradeStatus: No upgrade log present (probably fresh install)
  modified.conffile..etc.libvirt.nwfilter.allow-arp.xml: [inaccessible: [Errno 
13] Permission denied: '/etc/libvirt/nwfilter/allow-arp.xml']
  modified.conffile..etc.libvirt.nwfilter.allow-dhcp-server.xml: [inaccessible: 
[Errno 13] Permission denied: '/etc/libvirt/nwfilter/allow-dhcp-server.xml']
  modified.conffile..etc.libvirt.nwfilter.allow-dhcp.xml: [inaccessible: [Errno 
13] Permission denied: '/etc/libvirt/nwfilter/allow-dhcp.xml']
  modified.conffile..etc.libvirt.nwfilter.allow-incoming-ipv4.xml: 
[inaccessible: [Errno 13] Permission denied: 
'/etc/libvirt/nwfilter/allow-incoming-ipv4.xml']
  modified.conffile..etc.libvirt.nwfilter.allow-ipv4.xml: [inaccessible: [Errno 
13] Permission denied: '/etc/libvirt/nwfilter/allow-ipv4.xml']
  modified.conffile..etc.libvirt.nwfilter.clean-traffic-gateway.xml: 
[inaccessible: [Errno 13] Permission denied: 
'/etc/libvirt/nwfilter/clean-traffic-gateway.xml']
  modified.conffile..etc.libvirt.nwfilter.clean-traffic.xml: [inaccessible: 
[Errno 13] Permission denied: '/etc/libvirt/nwfilter/clean-traffic.xml']
  modified.conffile..etc.libvirt.nwfilter.no-arp-ip-spoofing.xml: 
[inaccessible: [Errno 13] Permission denied: 
'/etc/libvirt/nwfilter/no-arp-ip-spoofing.xml']
  modified.conffile..etc.libvirt.nwfilter.no-arp-mac-spoofing.xml: 
[inaccessible: [Errno 13] Permission denied: 
'/etc/libvirt/nwfilter/no-arp-mac-spoofing.xml']
  modified.conffile..etc.libvirt.nwfilter.no-arp-spoofing.xml: [inaccessible: 
[Errno 13] Permission denied: '/etc/libvirt/nwfilter/no-arp-spoofing.xml']
  modified.conffile..etc.libvirt.nwfilter.no-ip-multicast.xml: [inaccessible: 
[Errno 13] Permission denied: 

[Touch-packages] [Bug 1883846] Re: hwdb: Mask rfkill event from intel-hid on HP platforms

2020-07-24 Thread Anthony Wong
** Changed in: hwe-next
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1883846

Title:
  hwdb: Mask rfkill event from intel-hid on HP platforms

Status in HWE Next:
  Fix Released
Status in OEM Priority Project:
  Fix Committed
Status in systemd package in Ubuntu:
  Fix Released
Status in systemd source package in Focal:
  Fix Released
Status in systemd source package in Groovy:
  Fix Released

Bug description:
  [Impact]
  Press wireless hotkey on HP's latest generation laptops generate two rfkill 
events, prevent airplane mode from turning off.

  One event is from intel-hid and the other one is from hp-wireless.

  [Fix]
  Commit "hwdb: Mask rfkill event from intel-hid on HP platforms", to only use 
rfkill from hp-wireless.

  [Test]
  With the one-liner fix, press wireless hotkey only generate one rfkill event, 
hence airplane mode works as expected.

  [Regression Potential]
  Low, use hp-wireless over intel-hid is anticipated.

  any regression would likely result in missed rfkill events.

  [scope]

  this is fixed upstream by commit
  d8a9dd0dc17df77229d079afe29c05ae4a9e2ae9 which is not included in any
  version yet, so this is needed for f and g.

  @kaihengfeng is this needed on b and/or x as well?

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1883846/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1883846] Re: hwdb: Mask rfkill event from intel-hid on HP platforms

2020-07-24 Thread hugh chao
** Changed in: oem-priority
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1883846

Title:
  hwdb: Mask rfkill event from intel-hid on HP platforms

Status in HWE Next:
  Fix Released
Status in OEM Priority Project:
  Fix Released
Status in systemd package in Ubuntu:
  Fix Released
Status in systemd source package in Focal:
  Fix Released
Status in systemd source package in Groovy:
  Fix Released

Bug description:
  [Impact]
  Press wireless hotkey on HP's latest generation laptops generate two rfkill 
events, prevent airplane mode from turning off.

  One event is from intel-hid and the other one is from hp-wireless.

  [Fix]
  Commit "hwdb: Mask rfkill event from intel-hid on HP platforms", to only use 
rfkill from hp-wireless.

  [Test]
  With the one-liner fix, press wireless hotkey only generate one rfkill event, 
hence airplane mode works as expected.

  [Regression Potential]
  Low, use hp-wireless over intel-hid is anticipated.

  any regression would likely result in missed rfkill events.

  [scope]

  this is fixed upstream by commit
  d8a9dd0dc17df77229d079afe29c05ae4a9e2ae9 which is not included in any
  version yet, so this is needed for f and g.

  @kaihengfeng is this needed on b and/or x as well?

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1883846/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1888805] [NEW] Ubuntu20.04 gnome-software can't handle CAB file

2020-07-24 Thread Jiqi Li
Public bug reported:

LVFS firmware CAB file can't be identified by Ubuntu 20.04 software
management, which should invoke fwupdmgr to execute associated system
BIOS or other firmware update. Ubuntu20.04 default software management
is ‘ubuntu-software’, which do not support cab by default.It need to
install gnome-software by manually. CAB file need to support in Nautilus
and be enabled by default.

** Affects: ubuntu-meta (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-meta in Ubuntu.
https://bugs.launchpad.net/bugs/105

Title:
  Ubuntu20.04 gnome-software can't handle CAB file

Status in ubuntu-meta package in Ubuntu:
  New

Bug description:
  LVFS firmware CAB file can't be identified by Ubuntu 20.04 software
  management, which should invoke fwupdmgr to execute associated system
  BIOS or other firmware update. Ubuntu20.04 default software management
  is ‘ubuntu-software’, which do not support cab by default.It need to
  install gnome-software by manually. CAB file need to support in
  Nautilus and be enabled by default.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-meta/+bug/105/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1888598] Re: pulseaudio has is buggy with hdmi audio and sleep/wake

2020-07-24 Thread Tessa
I should also note, I tested this issue in KDE, and saw the same issues.
So it doesn't seem to have anything to do with gnome or the gnome-
control-center.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1888598

Title:
  pulseaudio has is buggy with hdmi audio and sleep/wake

Status in pulseaudio package in Ubuntu:
  Confirmed

Bug description:
  on a fresh Ubuntu 20.04 x64 install, I've noticed some troubling bugs
  with pulseaudio after putting my system to sleep and then waking it
  up. these bugs aren't present on a fresh boot, only after resuming
  from sleep:

  - it forgets which sound output device it's set to, and always reverse to the 
motherboard's S/PDIF output.
  - I have two devices connected to my video card, one is a displayport 
monitor, and one is a home theater receiver via HDMI. it confuses the two, and 
randomly switches which device it thinks is capable of surround sound.
  - it sometimes refuses to switch to the correct audio device, and just resets 
any choice back to the internal S/PDIF, until the system is rebooted.

  as you can imagine, this a pretty frustrating state of affairs.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: pulseaudio 1:13.99.1-1ubuntu3.4
  ProcVersionSignature: Ubuntu 5.4.0-40.44-generic 5.4.44
  Uname: Linux 5.4.0-40-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair nvidia_modeset 
nvidia
  ApportVersion: 2.20.11-0ubuntu27.4
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC1:  tessa  3387 F pulseaudio
   /dev/snd/pcmC1D7p:   tessa  3387 F...m pulseaudio
   /dev/snd/controlC2:  tessa  3387 F pulseaudio
   /dev/snd/controlC0:  tessa  3387 F pulseaudio
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  Date: Wed Jul 22 18:38:42 2020
  InstallationDate: Installed on 2020-07-15 (7 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  SourcePackage: pulseaudio
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 04/18/2018
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: 3503
  dmi.board.asset.tag: To be filled by O.E.M.
  dmi.board.name: GRYPHON Z97
  dmi.board.vendor: ASUSTeK COMPUTER INC.
  dmi.board.version: Rev 1.xx
  dmi.chassis.asset.tag: To Be Filled By O.E.M.
  dmi.chassis.type: 3
  dmi.chassis.vendor: To Be Filled By O.E.M.
  dmi.chassis.version: To Be Filled By O.E.M.
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvr3503:bd04/18/2018:svnASUS:pnAllSeries:pvrSystemVersion:rvnASUSTeKCOMPUTERINC.:rnGRYPHONZ97:rvrRev1.xx:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
  dmi.product.family: ASUS MB
  dmi.product.name: All Series
  dmi.product.sku: All
  dmi.product.version: System Version
  dmi.sys.vendor: ASUS

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1888598/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1888598] Re: pulseaudio has is buggy with hdmi audio and sleep/wake

2020-07-24 Thread Tessa
Alright, I just ran the test. When I unplug the hdmi cable connected to
the receiver, it switches to s/pdif. I left it for 30s, then plugged it
back in, and it correctly switched back.

Put it to sleep, woke it up, and the audio outputs were all messed up
again. So it's something that's happening during resume which isn't the
same as normal hotplug behaviour.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1888598

Title:
  pulseaudio has is buggy with hdmi audio and sleep/wake

Status in pulseaudio package in Ubuntu:
  Confirmed

Bug description:
  on a fresh Ubuntu 20.04 x64 install, I've noticed some troubling bugs
  with pulseaudio after putting my system to sleep and then waking it
  up. these bugs aren't present on a fresh boot, only after resuming
  from sleep:

  - it forgets which sound output device it's set to, and always reverse to the 
motherboard's S/PDIF output.
  - I have two devices connected to my video card, one is a displayport 
monitor, and one is a home theater receiver via HDMI. it confuses the two, and 
randomly switches which device it thinks is capable of surround sound.
  - it sometimes refuses to switch to the correct audio device, and just resets 
any choice back to the internal S/PDIF, until the system is rebooted.

  as you can imagine, this a pretty frustrating state of affairs.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: pulseaudio 1:13.99.1-1ubuntu3.4
  ProcVersionSignature: Ubuntu 5.4.0-40.44-generic 5.4.44
  Uname: Linux 5.4.0-40-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair nvidia_modeset 
nvidia
  ApportVersion: 2.20.11-0ubuntu27.4
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC1:  tessa  3387 F pulseaudio
   /dev/snd/pcmC1D7p:   tessa  3387 F...m pulseaudio
   /dev/snd/controlC2:  tessa  3387 F pulseaudio
   /dev/snd/controlC0:  tessa  3387 F pulseaudio
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  Date: Wed Jul 22 18:38:42 2020
  InstallationDate: Installed on 2020-07-15 (7 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  SourcePackage: pulseaudio
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 04/18/2018
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: 3503
  dmi.board.asset.tag: To be filled by O.E.M.
  dmi.board.name: GRYPHON Z97
  dmi.board.vendor: ASUSTeK COMPUTER INC.
  dmi.board.version: Rev 1.xx
  dmi.chassis.asset.tag: To Be Filled By O.E.M.
  dmi.chassis.type: 3
  dmi.chassis.vendor: To Be Filled By O.E.M.
  dmi.chassis.version: To Be Filled By O.E.M.
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvr3503:bd04/18/2018:svnASUS:pnAllSeries:pvrSystemVersion:rvnASUSTeKCOMPUTERINC.:rnGRYPHONZ97:rvrRev1.xx:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
  dmi.product.family: ASUS MB
  dmi.product.name: All Series
  dmi.product.sku: All
  dmi.product.version: System Version
  dmi.sys.vendor: ASUS

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1888598/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp